/[CvsGraph]/cvsgraph/Makefile.in
ViewVC logotype

Diff of /cvsgraph/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.9, Thu Jul 15 09:42:58 2004 UTC revision 1.12, Wed May 21 21:20:34 2008 UTC
# Line 1  Line 1 
1  # Directories  # Makefile.in generated by automake 1.10 from Makefile.am.
2  prefix  = @prefix@  # @configure_input@
 ETCDIR  = @sysconfdir@  
   
 # Set to your utilities  
 CC      = @CC@  
 LEX     = @LEX@  
 YACC    = @YACC@  
 RM      = rm -f  
   
 LIBS    = @LIBS@  
 CFLAGS  = @CFLAGS@ -DETCDIR=\"$(ETCDIR)\" -DINTTYPE="@INTTYPE@"  
 YACCFLAGS= -t  
 LEXFLAGS= @LEXFLAGS@ -d #-b  
   
 # Everything below here should be alright  
 TARGET  = cvsgraph  
   
 CSRCS   =\  
         cvsgraph.c\  
         utils.c\  
         readconf.c  
   
 GENSRCS =\  
         rcs.tab.c\  
         lex.rcs.c  
3    
4  COBJS   = $(CSRCS:.c=.o)  # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5  GENOBJS = $(GENSRCS:.c=.o)  # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6    # This Makefile.in is free software; the Free Software Foundation
7    # gives unlimited permission to copy and/or distribute it,
8    # with or without modifications, as long as this notice is preserved.
9    
10    # This program is distributed in the hope that it will be useful,
11    # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12    # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13    # PARTICULAR PURPOSE.
14    
15    @SET_MAKE@
16    
17    VPATH = @srcdir@
18    pkgdatadir = $(datadir)/@PACKAGE@
19    pkglibdir = $(libdir)/@PACKAGE@
20    pkgincludedir = $(includedir)/@PACKAGE@
21    am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22    install_sh_DATA = $(install_sh) -c -m 644
23    install_sh_PROGRAM = $(install_sh) -c
24    install_sh_SCRIPT = $(install_sh) -c
25    INSTALL_HEADER = $(INSTALL_DATA)
26    transform = $(program_transform_name)
27    NORMAL_INSTALL = :
28    PRE_INSTALL = :
29    POST_INSTALL = :
30    NORMAL_UNINSTALL = :
31    PRE_UNINSTALL = :
32    POST_UNINSTALL = :
33    bin_PROGRAMS = cvsgraph$(EXEEXT)
34    subdir = .
35    DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36            $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37            $(srcdir)/cvsgraph.1.in $(srcdir)/cvsgraph.conf.5.in \
38            $(srcdir)/cvsgraph.spec.in $(top_srcdir)/configure AUTHORS \
39            COPYING ChangeLog INSTALL NEWS depcomp install-sh missing \
40            rcsl.c rcsy.c rcsy.h ylwrap
41    ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42    am__aclocal_m4_deps = $(top_srcdir)/configure.in
43    am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44            $(ACLOCAL_M4)
45    am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46     configure.lineno config.status.lineno
47    mkinstalldirs = $(install_sh) -d
48    CONFIG_HEADER = config.h
49    CONFIG_CLEAN_FILES = cvsgraph.1 cvsgraph.conf.5 cvsgraph.spec
50    am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
51            "$(DESTDIR)$(man5dir)"
52    binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
53    PROGRAMS = $(bin_PROGRAMS)
54    am_cvsgraph_OBJECTS = cvsgraph.$(OBJEXT) readconf.$(OBJEXT) \
55            utils.$(OBJEXT) rcsy.$(OBJEXT) rcsl.$(OBJEXT)
56    cvsgraph_OBJECTS = $(am_cvsgraph_OBJECTS)
57    cvsgraph_LDADD = $(LDADD)
58    DEFAULT_INCLUDES = -I.@am__isrc@
59    depcomp = $(SHELL) $(top_srcdir)/depcomp
60    am__depfiles_maybe = depfiles
61    COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
62            $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
63    CCLD = $(CC)
64    LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
65    LEXCOMPILE = $(LEX) $(LFLAGS) $(AM_LFLAGS)
66    YLWRAP = $(top_srcdir)/ylwrap
67    YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
68    SOURCES = $(cvsgraph_SOURCES)
69    DIST_SOURCES = $(cvsgraph_SOURCES)
70    man1dir = $(mandir)/man1
71    man5dir = $(mandir)/man5
72    NROFF = nroff
73    MANS = $(man1_MANS) $(man5_MANS)
74    ETAGS = etags
75    CTAGS = ctags
76    DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77    distdir = $(PACKAGE)-$(VERSION)
78    top_distdir = $(distdir)
79    am__remove_distdir = \
80      { test ! -d $(distdir) \
81        || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
82             && rm -fr $(distdir); }; }
83    DIST_ARCHIVES = $(distdir).tar.gz
84    GZIP_ENV = --best
85    distuninstallcheck_listfiles = find . -type f -print
86    distcleancheck_listfiles = find . -type f -print
87    ACLOCAL = @ACLOCAL@
88    AMTAR = @AMTAR@
89    AUTOCONF = @AUTOCONF@
90    AUTOHEADER = @AUTOHEADER@
91    AUTOMAKE = @AUTOMAKE@
92    AWK = @AWK@
93    CC = @CC@
94    CCDEPMODE = @CCDEPMODE@
95    CFLAGS = @CFLAGS@
96    CPP = @CPP@
97    CPPFLAGS = @CPPFLAGS@
98    CYGPATH_W = @CYGPATH_W@
99    DEFS = @DEFS@
100    DEPDIR = @DEPDIR@
101    ECHO_C = @ECHO_C@
102    ECHO_N = @ECHO_N@
103    ECHO_T = @ECHO_T@
104    EGREP = @EGREP@
105    EXEEXT = @EXEEXT@
106    GDLIB_CONFIG = @GDLIB_CONFIG@
107    GD_CFLAGS = @GD_CFLAGS@
108    GD_LDFLAGS = @GD_LDFLAGS@
109    GD_LIBS = @GD_LIBS@
110    GREP = @GREP@
111    INSTALL = @INSTALL@
112    INSTALL_DATA = @INSTALL_DATA@
113    INSTALL_PROGRAM = @INSTALL_PROGRAM@
114    INSTALL_SCRIPT = @INSTALL_SCRIPT@
115    INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
116    LDFLAGS = @LDFLAGS@
117    LEX = @LEX@
118    LEXLIB = @LEXLIB@
119    LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
120    LIBOBJS = @LIBOBJS@
121    LIBS = @LIBS@
122    LTLIBOBJS = @LTLIBOBJS@
123    MAKEINFO = @MAKEINFO@
124    MKDIR_P = @MKDIR_P@
125    OBJEXT = @OBJEXT@
126    PACKAGE = @PACKAGE@
127    PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
128    PACKAGE_NAME = @PACKAGE_NAME@
129    PACKAGE_STRING = @PACKAGE_STRING@
130    PACKAGE_TARNAME = @PACKAGE_TARNAME@
131    PACKAGE_VERSION = @PACKAGE_VERSION@
132    PATH_SEPARATOR = @PATH_SEPARATOR@
133    SET_MAKE = @SET_MAKE@
134    SHELL = @SHELL@
135    STRIP = @STRIP@
136    VERSION = @VERSION@
137    YACC = @YACC@
138    YFLAGS = @YFLAGS@
139    abs_builddir = @abs_builddir@
140    abs_srcdir = @abs_srcdir@
141    abs_top_builddir = @abs_top_builddir@
142    abs_top_srcdir = @abs_top_srcdir@
143    ac_ct_CC = @ac_ct_CC@
144    ac_prog_pkg_config = @ac_prog_pkg_config@
145    am__include = @am__include@
146    am__leading_dot = @am__leading_dot@
147    am__quote = @am__quote@
148    am__tar = @am__tar@
149    am__untar = @am__untar@
150    bindir = @bindir@
151    build_alias = @build_alias@
152    builddir = @builddir@
153    datadir = @datadir@
154    datarootdir = @datarootdir@
155    docdir = @docdir@
156    dvidir = @dvidir@
157    exec_prefix = @exec_prefix@
158    host_alias = @host_alias@
159    htmldir = @htmldir@
160    includedir = @includedir@
161    infodir = @infodir@
162    install_sh = @install_sh@
163    libdir = @libdir@
164    libexecdir = @libexecdir@
165    localedir = @localedir@
166    localstatedir = @localstatedir@
167    mandir = @mandir@
168    mkdir_p = @mkdir_p@
169    oldincludedir = @oldincludedir@
170    pdfdir = @pdfdir@
171    prefix = @prefix@
172    program_transform_name = @program_transform_name@
173    psdir = @psdir@
174    sbindir = @sbindir@
175    sharedstatedir = @sharedstatedir@
176    srcdir = @srcdir@
177    sysconfdir = @sysconfdir@
178    target_alias = @target_alias@
179    top_builddir = @top_builddir@
180    top_srcdir = @top_srcdir@
181    AUTOMAKE_OPTIONS = gnu
182    AM_CFLAGS = -Wall -DETCDIR='"${sysconfdir}"'
183    AM_YFLAGS = -d -t
184    AM_LFLAGS = -d -8 -Cf
185    cvsgraph_SOURCES = \
186            cvsgraph.c \
187            readconf.c \
188            utils.c \
189            rcsy.y \
190            rcsl.l
191    
192    SUBDIR = contrib
193    man1_MANS = cvsgraph.1
194    man5_MANS = cvsgraph.conf.5
195    CLEANFILES = rcsy.c rcsl.c rcsy.h
196    EXTRA_DIST = contrib cvsgraph.h utils.h readconf.h rcs.h cvsgraph.conf
197    all: config.h
198            $(MAKE) $(AM_MAKEFLAGS) all-am
199    
200    .SUFFIXES:
201    .SUFFIXES: .c .l .o .obj .y
202    am--refresh:
203            @:
204    $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
205            @for dep in $?; do \
206              case '$(am__configure_deps)' in \
207                *$$dep*) \
208                  echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
209                  cd $(srcdir) && $(AUTOMAKE) --gnu  \
210                    && exit 0; \
211                  exit 1;; \
212              esac; \
213            done; \
214            echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
215            cd $(top_srcdir) && \
216              $(AUTOMAKE) --gnu  Makefile
217    .PRECIOUS: Makefile
218    Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
219            @case '$?' in \
220              *config.status*) \
221                echo ' $(SHELL) ./config.status'; \
222                $(SHELL) ./config.status;; \
223              *) \
224                echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
225                cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
226            esac;
227    
228    $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
229            $(SHELL) ./config.status --recheck
230    
231    $(top_srcdir)/configure:  $(am__configure_deps)
232            cd $(srcdir) && $(AUTOCONF)
233    $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
234            cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
235    
236    config.h: stamp-h1
237            @if test ! -f $@; then \
238              rm -f stamp-h1; \
239              $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
240            else :; fi
241    
242    stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
243            @rm -f stamp-h1
244            cd $(top_builddir) && $(SHELL) ./config.status config.h
245    $(srcdir)/config.h.in:  $(am__configure_deps)
246            cd $(top_srcdir) && $(AUTOHEADER)
247            rm -f stamp-h1
248            touch $@
249    
250    distclean-hdr:
251            -rm -f config.h stamp-h1
252    cvsgraph.1: $(top_builddir)/config.status $(srcdir)/cvsgraph.1.in
253            cd $(top_builddir) && $(SHELL) ./config.status $@
254    cvsgraph.conf.5: $(top_builddir)/config.status $(srcdir)/cvsgraph.conf.5.in
255            cd $(top_builddir) && $(SHELL) ./config.status $@
256    cvsgraph.spec: $(top_builddir)/config.status $(srcdir)/cvsgraph.spec.in
257            cd $(top_builddir) && $(SHELL) ./config.status $@
258    install-binPROGRAMS: $(bin_PROGRAMS)
259            @$(NORMAL_INSTALL)
260            test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
261            @list='$(bin_PROGRAMS)'; for p in $$list; do \
262              p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
263              if test -f $$p \
264              ; then \
265                f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
266               echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
267               $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
268              else :; fi; \
269            done
270    
271    uninstall-binPROGRAMS:
272            @$(NORMAL_UNINSTALL)
273            @list='$(bin_PROGRAMS)'; for p in $$list; do \
274              f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
275              echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
276              rm -f "$(DESTDIR)$(bindir)/$$f"; \
277            done
278    
279    clean-binPROGRAMS:
280            -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
281    rcsy.h: rcsy.c
282            @if test ! -f $@; then \
283              rm -f rcsy.c; \
284              $(MAKE) $(AM_MAKEFLAGS) rcsy.c; \
285            else :; fi
286    cvsgraph$(EXEEXT): $(cvsgraph_OBJECTS) $(cvsgraph_DEPENDENCIES)
287            @rm -f cvsgraph$(EXEEXT)
288            $(LINK) $(cvsgraph_OBJECTS) $(cvsgraph_LDADD) $(LIBS)
289    
290    mostlyclean-compile:
291            -rm -f *.$(OBJEXT)
292    
293    distclean-compile:
294            -rm -f *.tab.c
295    
296    @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cvsgraph.Po@am__quote@
297    @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rcsl.Po@am__quote@
298    @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rcsy.Po@am__quote@
299    @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/readconf.Po@am__quote@
300    @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/utils.Po@am__quote@
301    
302  .c.o:  .c.o:
303          $(CC) $(CFLAGS) -c -o $*.o $<  @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
304    @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
305  all: $(TARGET)  @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
306    @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
307  $(TARGET): $(COBJS) $(GENOBJS)  @am__fastdepCC_FALSE@   $(COMPILE) -c $<
308          $(CC) $(CFLAGS) -o $(TARGET) $(COBJS) $(GENOBJS) $(LIBS)  
309    .c.obj:
310  cvsgraph.o: cvsgraph.c config.h cvsgraph.h utils.h readconf.h rcs.h  @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
311  utils.o: utils.c utils.h readconf.h  @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
312  readconf.o: readconf.c readconf.h utils.h cvsgraph.h  @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
313    @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
314  lex.rcs.o: lex.rcs.c rcs.tab.h readconf.h utils.h rcs.h  @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
315  rcs.tab.o: rcs.tab.c utils.h rcs.h cvsgraph.h  
316    .l.c:
317  rcs.tab.c rcs.tab.h: rcsy.y          $(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
318          $(YACC) $(YACCFLAGS) -d -brcs -prcs rcsy.y  
319    .y.c:
320  lex.rcs.c: rcsl.l          $(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h $*.h y.output $*.output -- $(YACCCOMPILE)
321          $(LEX) $(LEXFLAGS) -Prcs rcsl.l  install-man1: $(man1_MANS) $(man_MANS)
322            @$(NORMAL_INSTALL)
323  clean::          test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
324          $(RM) core *.o $(TARGET) $(GENSRCS) rcs.tab.h          @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
325            l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
326  distclean: clean          for i in $$l2; do \
327          $(RM) config.cache config.status config.log Makefile config.h            case "$$i" in \
328                *.1*) list="$$list $$i" ;; \
329              esac; \
330            done; \
331            for i in $$list; do \
332              if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
333              else file=$$i; fi; \
334              ext=`echo $$i | sed -e 's/^.*\\.//'`; \
335              case "$$ext" in \
336                1*) ;; \
337                *) ext='1' ;; \
338              esac; \
339              inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
340              inst=`echo $$inst | sed -e 's/^.*\///'`; \
341              inst=`echo $$inst | sed '$(transform)'`.$$ext; \
342              echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
343              $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
344            done
345    uninstall-man1:
346            @$(NORMAL_UNINSTALL)
347            @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
348            l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
349            for i in $$l2; do \
350              case "$$i" in \
351                *.1*) list="$$list $$i" ;; \
352              esac; \
353            done; \
354            for i in $$list; do \
355              ext=`echo $$i | sed -e 's/^.*\\.//'`; \
356              case "$$ext" in \
357                1*) ;; \
358                *) ext='1' ;; \
359              esac; \
360              inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
361              inst=`echo $$inst | sed -e 's/^.*\///'`; \
362              inst=`echo $$inst | sed '$(transform)'`.$$ext; \
363              echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
364              rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
365            done
366    install-man5: $(man5_MANS) $(man_MANS)
367            @$(NORMAL_INSTALL)
368            test -z "$(man5dir)" || $(MKDIR_P) "$(DESTDIR)$(man5dir)"
369            @list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
370            l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
371            for i in $$l2; do \
372              case "$$i" in \
373                *.5*) list="$$list $$i" ;; \
374              esac; \
375            done; \
376            for i in $$list; do \
377              if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
378              else file=$$i; fi; \
379              ext=`echo $$i | sed -e 's/^.*\\.//'`; \
380              case "$$ext" in \
381                5*) ;; \
382                *) ext='5' ;; \
383              esac; \
384              inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
385              inst=`echo $$inst | sed -e 's/^.*\///'`; \
386              inst=`echo $$inst | sed '$(transform)'`.$$ext; \
387              echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
388              $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst"; \
389            done
390    uninstall-man5:
391            @$(NORMAL_UNINSTALL)
392            @list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
393            l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
394            for i in $$l2; do \
395              case "$$i" in \
396                *.5*) list="$$list $$i" ;; \
397              esac; \
398            done; \
399            for i in $$list; do \
400              ext=`echo $$i | sed -e 's/^.*\\.//'`; \
401              case "$$ext" in \
402                5*) ;; \
403                *) ext='5' ;; \
404              esac; \
405              inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
406              inst=`echo $$inst | sed -e 's/^.*\///'`; \
407              inst=`echo $$inst | sed '$(transform)'`.$$ext; \
408              echo " rm -f '$(DESTDIR)$(man5dir)/$$inst'"; \
409              rm -f "$(DESTDIR)$(man5dir)/$$inst"; \
410            done
411    
412    ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
413            list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
414            unique=`for i in $$list; do \
415                if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
416              done | \
417              $(AWK) '    { files[$$0] = 1; } \
418                   END { for (i in files) print i; }'`; \
419            mkid -fID $$unique
420    tags: TAGS
421    
422    TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
423                    $(TAGS_FILES) $(LISP)
424            tags=; \
425            here=`pwd`; \
426            list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
427            unique=`for i in $$list; do \
428                if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
429              done | \
430              $(AWK) '    { files[$$0] = 1; } \
431                   END { for (i in files) print i; }'`; \
432            if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
433              test -n "$$unique" || unique=$$empty_fix; \
434              $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
435                $$tags $$unique; \
436            fi
437    ctags: CTAGS
438    CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
439                    $(TAGS_FILES) $(LISP)
440            tags=; \
441            here=`pwd`; \
442            list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
443            unique=`for i in $$list; do \
444                if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
445              done | \
446              $(AWK) '    { files[$$0] = 1; } \
447                   END { for (i in files) print i; }'`; \
448            test -z "$(CTAGS_ARGS)$$tags$$unique" \
449              || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
450                 $$tags $$unique
451    
452    GTAGS:
453            here=`$(am__cd) $(top_builddir) && pwd` \
454              && cd $(top_srcdir) \
455              && gtags -i $(GTAGS_ARGS) $$here
456    
457    distclean-tags:
458            -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
459    
460    distdir: $(DISTFILES)
461            $(am__remove_distdir)
462            test -d $(distdir) || mkdir $(distdir)
463            @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
464            topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
465            list='$(DISTFILES)'; \
466              dist_files=`for file in $$list; do echo $$file; done | \
467              sed -e "s|^$$srcdirstrip/||;t" \
468                  -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
469            case $$dist_files in \
470              */*) $(MKDIR_P) `echo "$$dist_files" | \
471                               sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
472                               sort -u` ;; \
473            esac; \
474            for file in $$dist_files; do \
475              if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
476              if test -d $$d/$$file; then \
477                dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
478                if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
479                  cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
480                fi; \
481                cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
482              else \
483                test -f $(distdir)/$$file \
484                || cp -p $$d/$$file $(distdir)/$$file \
485                || exit 1; \
486              fi; \
487            done
488            $(MAKE) $(AM_MAKEFLAGS) \
489              top_distdir="$(top_distdir)" distdir="$(distdir)" \
490              dist-hook
491            -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
492              ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
493              ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
494              ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
495            || chmod -R a+r $(distdir)
496    dist-gzip: distdir
497            tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
498            $(am__remove_distdir)
499    
500    dist-bzip2: distdir
501            tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
502            $(am__remove_distdir)
503    
504    dist-tarZ: distdir
505            tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
506            $(am__remove_distdir)
507    
508    dist-shar: distdir
509            shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
510            $(am__remove_distdir)
511    
512    dist-zip: distdir
513            -rm -f $(distdir).zip
514            zip -rq $(distdir).zip $(distdir)
515            $(am__remove_distdir)
516    
517    dist dist-all: distdir
518            tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
519            $(am__remove_distdir)
520    
521    # This target untars the dist file and tries a VPATH configuration.  Then
522    # it guarantees that the distribution is self-contained by making another
523    # tarfile.
524    distcheck: dist
525            case '$(DIST_ARCHIVES)' in \
526            *.tar.gz*) \
527              GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
528            *.tar.bz2*) \
529              bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
530            *.tar.Z*) \
531              uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
532            *.shar.gz*) \
533              GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
534            *.zip*) \
535              unzip $(distdir).zip ;;\
536            esac
537            chmod -R a-w $(distdir); chmod a+w $(distdir)
538            mkdir $(distdir)/_build
539            mkdir $(distdir)/_inst
540            chmod a-w $(distdir)
541            dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
542              && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
543              && cd $(distdir)/_build \
544              && ../configure --srcdir=.. --prefix="$$dc_install_base" \
545                $(DISTCHECK_CONFIGURE_FLAGS) \
546              && $(MAKE) $(AM_MAKEFLAGS) \
547              && $(MAKE) $(AM_MAKEFLAGS) dvi \
548              && $(MAKE) $(AM_MAKEFLAGS) check \
549              && $(MAKE) $(AM_MAKEFLAGS) install \
550              && $(MAKE) $(AM_MAKEFLAGS) installcheck \
551              && $(MAKE) $(AM_MAKEFLAGS) uninstall \
552              && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
553                    distuninstallcheck \
554              && chmod -R a-w "$$dc_install_base" \
555              && ({ \
556                   (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
557                   && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
558                   && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
559                   && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
560                        distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
561                  } || { rm -rf "$$dc_destdir"; exit 1; }) \
562              && rm -rf "$$dc_destdir" \
563              && $(MAKE) $(AM_MAKEFLAGS) dist \
564              && rm -rf $(DIST_ARCHIVES) \
565              && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
566            $(am__remove_distdir)
567            @(echo "$(distdir) archives ready for distribution: "; \
568              list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
569              sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
570    distuninstallcheck:
571            @cd $(distuninstallcheck_dir) \
572            && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
573               || { echo "ERROR: files left after uninstall:" ; \
574                    if test -n "$(DESTDIR)"; then \
575                      echo "  (check DESTDIR support)"; \
576                    fi ; \
577                    $(distuninstallcheck_listfiles) ; \
578                    exit 1; } >&2
579    distcleancheck: distclean
580            @if test '$(srcdir)' = . ; then \
581              echo "ERROR: distcleancheck can only run from a VPATH build" ; \
582              exit 1 ; \
583            fi
584            @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
585              || { echo "ERROR: files left in build directory after distclean:" ; \
586                   $(distcleancheck_listfiles) ; \
587                   exit 1; } >&2
588    check-am: all-am
589    check: check-am
590    all-am: Makefile $(PROGRAMS) $(MANS) config.h
591    installdirs:
592            for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man5dir)"; do \
593              test -z "$$dir" || $(MKDIR_P) "$$dir"; \
594            done
595    install: install-am
596    install-exec: install-exec-am
597    install-data: install-data-am
598    uninstall: uninstall-am
599    
600    install-am: all-am
601            @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
602    
603    installcheck: installcheck-am
604    install-strip:
605            $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
606              install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
607              `test -z '$(STRIP)' || \
608                echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
609    mostlyclean-generic:
610    
611    clean-generic:
612            -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
613    
614    distclean-generic:
615            -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
616    
617    maintainer-clean-generic:
618            @echo "This command is intended for maintainers to use"
619            @echo "it deletes files that may require special tools to rebuild."
620            -rm -f rcsl.c
621            -rm -f rcsy.c
622            -rm -f rcsy.h
623    clean: clean-am
624    
625    clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
626    
627    distclean: distclean-am
628            -rm -f $(am__CONFIG_DISTCLEAN_FILES)
629            -rm -rf ./$(DEPDIR)
630            -rm -f Makefile
631    distclean-am: clean-am distclean-compile distclean-generic \
632            distclean-hdr distclean-tags
633    
634    dvi: dvi-am
635    
636    dvi-am:
637    
638    html: html-am
639    
640    info: info-am
641    
642    info-am:
643    
644    install-data-am: install-man
645    
646    install-dvi: install-dvi-am
647    
648    install-exec-am: install-binPROGRAMS
649    
650    install-html: install-html-am
651    
652    install-info: install-info-am
653    
654    install-man: install-man1 install-man5
655    
656    install-pdf: install-pdf-am
657    
658    install-ps: install-ps-am
659    
660    installcheck-am:
661    
662    maintainer-clean: maintainer-clean-am
663            -rm -f $(am__CONFIG_DISTCLEAN_FILES)
664            -rm -rf $(top_srcdir)/autom4te.cache
665            -rm -rf ./$(DEPDIR)
666            -rm -f Makefile
667    maintainer-clean-am: distclean-am maintainer-clean-generic
668    
669    mostlyclean: mostlyclean-am
670    
671    mostlyclean-am: mostlyclean-compile mostlyclean-generic
672    
673    pdf: pdf-am
674    
675    pdf-am:
676    
677    ps: ps-am
678    
679    ps-am:
680    
681    uninstall-am: uninstall-binPROGRAMS uninstall-man
682    
683    uninstall-man: uninstall-man1 uninstall-man5
684    
685    .MAKE: install-am install-strip
686    
687    .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
688            clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
689            dist-gzip dist-hook dist-shar dist-tarZ dist-zip distcheck \
690            distclean distclean-compile distclean-generic distclean-hdr \
691            distclean-tags distcleancheck distdir distuninstallcheck dvi \
692            dvi-am html html-am info info-am install install-am \
693            install-binPROGRAMS install-data install-data-am install-dvi \
694            install-dvi-am install-exec install-exec-am install-html \
695            install-html-am install-info install-info-am install-man \
696            install-man1 install-man5 install-pdf install-pdf-am \
697            install-ps install-ps-am install-strip installcheck \
698            installcheck-am installdirs maintainer-clean \
699            maintainer-clean-generic mostlyclean mostlyclean-compile \
700            mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
701            uninstall-am uninstall-binPROGRAMS uninstall-man \
702            uninstall-man1 uninstall-man5
703    
704    dist-hook:
705            rm -rf `find $(distdir)/contrib -name CVS` $(distdir)/contrib/.cvsignore $(distdir)/contrib/Makefile $(distdir)/contrib/*.php
706    # Tell versions [3.59,3.63) of GNU make to not export all variables.
707    # Otherwise a system limit (for SysV at least) may be exceeded.
708    .NOEXPORT:

Legend:
Removed from v.1.9  
changed lines
  Added in v.1.12

  ViewVC Help
Powered by ViewVC 1.1.0 with CvsGraph 1.7.0